#include <stdio.h>

int power(int x, int y) {
  if (y == 0) {
    return 1;
  }

  return x * power(x, y - 1);
}

int number_of_digits(int y) {
  if (y / 10 == 0) {
    return 1;
  }

  return number_of_digits(y / 10) + 1;
}

int reverse_number(int x) {
  if (x < 10) {
    return x;
  }

  return (x % 10) * power(10, number_of_digits(x) - 1) + reverse_number(x / 10);
}

int main() {
  printf("%d\n%d\n", reverse_number(23), reverse_number(3523));

  return 0;
}

