#include <stdio.h>

int isPrime(int n) {
  if (n == 1) {
    return 0;
  }

  int i;
  for (i = 2; i * i <= n; i++) {
    if (n % i == 0) {
      return 0;
    }
  }

  return 1;
}

int main() {
  for (;;) {
    int n;

    scanf("%d", &n);

    if (n < 0) {
      break;
    }

    printf("*");

    if (!isPrime(n)) {
      int i, j;
      int found1 = 0, found2 = 0;

      for (j = n - 1, i = n + 1; ; j--, i++) {
        if (j > 1) {
          if (isPrime(j)) {
            found1 = j;
          }
        }
        if (isPrime(i)) {
          found2 = i;
        }

        if (found1 || found2) {
          if (found1) {
            printf(" %d", found1);
          }
          if (found2) {
            printf(" %d", found2);
          }
          break;
        }
      }
    }
    printf("\n");
  }

  return 0;
}

